@media (min-width: 769px) {

}

@media (max-width: 768px) {

}

body, html {
    margin: 0;
    padding: 0;
    font-family: "Google Sans", sans-serif;
    font-weight: 400;
    line-height: 1.75em;
    -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
    scroll-behavior: smooth;
    color: #121212;
}

*,
*::before,
*::after {
    box-sizing: border-box
}

main {
    position: relative;
    overflow: hidden;
}

h1,
h2,
h3 {
    font-weight: normal;
}

img {
    display: block;
    max-width: 100%;
}

.h1,
.h2 {
    font-family: skia-cc, sans-serif;
    font-weight: 900;
    text-transform: uppercase;
    line-height: 0.95em;
    text-align: center;

    @media (max-width: 768px) {
        font-size: 2.25rem;
    }

    @media (min-width: 769px) {
        font-size: 4.5rem;
    }
}

.h3 {
    font-family: skia-cc, sans-serif;
    font-weight: 900;
    text-transform: uppercase;
    line-height: 0.95em;
    
    @media (min-width: 769px) {
        font-size: 2.25rem;
    }
}

.copy {
    @media (max-width: 768px) {
        font-size: 1.25rem;
    }

    @media (min-width: 769px) {
        font-size: 1.5rem;
    }
}

/* Container */
.container {
    margin-inline: auto;
    box-sizing: content-box;
}

.container--viewport {
    @media (min-width: 1024px) {
        padding-inline: 90px;
    }

    @media (min-width: 641px) and (max-width: 1023px) {
        padding-inline: 32px;
    }

    @media (max-width: 768px) {
        padding-inline: 24px;
    }
}

.container--content {
    max-width: 1200px;
}

/* Utilities */
.prevent-margin-collapse {
    & > *:first-child {
        margin-block-start: 0;
    }

    & > *:last-child {
        margin-block-end: 0;
    }
}

/* Header */
header {
    background: #ffaf00 url("assets/pattern-skelly.png") top center;

    .header__container {
        display: grid;
        justify-content: space-between;
        gap: 20px;
    }

    .header__left {
      /* left */  
    }

    .header__logo {
        position: relative;
    }

    .header__logo-wrapper {
        aspect-ratio: 431 / 279;
        width: 100%;
        position: absolute;
        bottom: 0;
        transform: translate(0, 23%);

        &::before {
            content: "";
            display: block;
            position: absolute;
            width: 76.644737%;
            bottom: 0;
            left: 50%;
            transform: translate(-50%, 22%);
            background: url("assets/logo-overhang.png") no-repeat;
            background-size: contain;
            aspect-ratio: 233 / 59;
        }

        img {
            position: relative;
            z-index: 2;
        }
    }

    .header__right {
        /* right */
    }

    @media (max-width: 768px) {
        background-size: 600px auto;
    }

    @media (max-width: 1023px) {
        .header__container {
            height: 100px;
            grid-template-columns: 1fr 180px 1fr;
        }
    }

    @media (min-width: 1024px) {
        .header__container {
            height: 170px;
            grid-template-columns: 1fr 304px 1fr;
        }
    }
}

/* Billboard */
.billboard {
    text-align: center;
    position: relative;
    overflow: hidden;

    .h1 {
        line-height: 0.85em;

        span {
            font-size: 2.25rem;
            display: block;
        }
    }

    .billboard__visual {
        margin-right: -25%;
        margin-bottom: -8%;
        pointer-events: none;
    }

    .billboard__copy {
        max-width: 602px;
        margin-inline: auto;
    }

    .billboard__cta {
        display: inline-block;
        position: relative;

        &::before {
            content: "";
            display: block;
            aspect-ratio: 194 / 154;
            width: 57.910448%;
            background: url(assets/beach-ball.png) no-repeat center center;
            background-size: contain;
            position: absolute;
            bottom: 0;
            right: 0;
            transform: translate(60%, 60%);
        }

        img {
            display: block;
        }
    }

    @media (max-width: 1024px) {
        margin-block-start: 30px;
    }

    @media (min-width: 1025px) {
        margin-block-start: 60px;
    }

    @media (max-width: 768px) {
        padding-top: 50px;
        padding-bottom: 70px;

        .billboard__visual {
            img {
                margin-inline: auto;
            }
        }

        .billboard__info {
            margin-top: 60px;
        }

        .h1 {
            font-size: 3.5rem;
        }

        .billboard__cta {
            max-width: 240px;
        }
    }

    @media (min-width: 769px) {
        padding-bottom: 100px;
        
        .billboard__container {
            display: grid;
            grid-template-columns: 7fr 10fr;
            gap: 60px;
        }

        .billboard__visual {
            display: flex;
            align-items: center;
        }

        .billboard__cta {
            margin-block-start: 30px;
            max-width: 50%;
        }

        .billboard__info {
            padding-top: 70px;
        }
    }
}

/* Results */
.results {
    background: linear-gradient(0deg,rgba(255, 175, 0, 0.75) 0%, rgba(255, 175, 0, 0) 100%),
        #ffaf00 url("assets/pattern-skelly.png") top center;
    text-align: center;
    
    .h2 {
        color: #FFF;
        -webkit-text-stroke: 10px black;
        paint-order: stroke fill;
    }

    #youtube {
        width: 100%;
        height: auto;
        aspect-ratio: 560 / 315;
        display: block;
    }

    .results__video {
        position: relative;
        overflow: hidden;
        border: solid #2a2722 8px;
        margin-bottom: -2px;
        background-color: #2a2722;
    }

    .results__play {
        aspect-ratio: 1 / 1;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        background: url(assets/button-play.png) no-repeat center center;
        background-size: contain;
        z-index: 1;
        width: 100%;
        max-width: min(262px, 20%);
        cursor: pointer;
    }

    @media (max-width: 768px) {
        background-size: 600px auto;
        padding-block-start: 60px;
        padding-block-end: 80px;

        .results__video {
            border-radius: 30px;
        }
    }

    @media (min-width: 769px) {
        padding-block-start: 60px;
        padding-block-end: 110px;

        .results__video {
            border-radius: 40px;
        }
    }
}

/* Benefits */
.benefits {
    position: relative;
    z-index: 5;

    .benefits__container {
        display: flex;
        flex-direction: column;
        gap: 48px;
    }

    .benefits__benefit {
        background-color: #000;
        color: #ffaf00;
        border-radius: 20px;
        padding: 24px;
        display: flex;
        gap: 20px;
        align-items: center;
    }

    .benefits__visual {
        flex-shrink: 0;
    }

    @media (max-width: 768px) {
        padding-block-start: 50px;

        .benefits__visual {
            flex: 100px 0 0;
        }
    }

    @media (max-width: 640px) {
        .benefits__benefit {
            flex-direction: column;
            text-align: center;
        }

        .benefits__visual {
            max-width: 150px;
        }
    }

    @media (min-width: 769px) {
        padding-block-start: 115px;
    }
}

/* Praise */
.praise {
    .praise__container {
        display: grid;
    }

    .praise__quote {
        font-family: skia-cc, sans-serif;
        font-weight: 900;
        line-height: 0.95em;
        color: #2a2722;
        text-align: center;
        margin-block: 0;

        span {
            display: inline-block;
            padding-inline: 0.5em;
        }

        &::before,
        &::after {
            content: "";
            display: block;
            aspect-ratio: 85 / 55;
            background: url("assets/icon-quote.png") no-repeat center center;
            background-size: contain;
            max-width: 86px;
        }

        &::before {
            margin-bottom: 0.25em;
        }

        &::after {
            margin-top: 0.25em;
            margin-left: auto;
            transform: rotate(180deg);
        }
    }

    .praise__source {
        text-align: center;
        font-family: skia-cc, sans-serif;
        font-weight: 900;
        line-height: 0.95em;
        color: #2a2722;
        text-transform: uppercase;
    }

    .praise__attribution {
        text-align: center;
        color: #2a2722;
        margin-top: 0.5em;
    }

    .praise__visual {
        align-self: flex-end;
    }

    .praise__museum {
        margin-inline: auto;
        margin-block-start: 60px;
    }

    .praise__bubbles {
        position: relative;
        width: 0;
        margin-inline: auto;
    }

    .praise__bubble {
        aspect-ratio: 1 / 1;
        position: absolute;
    }

    .praise__quote {
        position: relative;
        z-index: 10;
    }

    @media (max-width: 768px) {
        margin-block-start: 60px;

        .praise__visual {
            order: 2;
        }

        .praise__bubbles {
            height: 100px;
        }

        .praise__bubble1 {
            width: 75px;
            left: -300px;
            top: 80px;
        }

        .praise__bubble2 {
            width: 106px;
            left: -225px;
            top: -38px;
        }

        .praise__bubble3 {
            width: 137px;
            left: 10px;
            top: -152px;
        }

        .praise__bubble4 {
            width: 85px;
            left: 200px;
            top: 180px;
        }

        .praise__quote {
            font-size: 2rem;
            max-width: 500px;
            margin-inline: auto;

            &::before,
            &::after {
                width: 43px;
            }
        }

        .praise__source {
            font-size: 1.75rem;
            margin-top: 0.5em;
        }

        .praise__museum {
            max-width: min(65%, 300px);
        }

        .praise__visual {
            margin-top: 60px;
            max-width: 60%;
            margin-inline: auto;
        }
    }

    @media (min-width: 769px) {
        .praise__bubbles {
            height: 250px;
        }

        .praise__bubble1 {
            width: 150px;
            left: -750px;
            top: 160px;
        }

        .praise__bubble2 {
            width: 212px;
            left: -690px;
            top: -75px;
        }

        .praise__bubble3 {
            width: 275px;
            left: 100px;
            top: -65px;
        }

        .praise__bubble4 {
            width: 170px;
            left: 570px;
            top: 200px;
        }

        .praise__container {
            display: grid;
            grid-template-columns: 2fr 3fr;
            gap: 50px;
        }

        .praise__info {
            padding-bottom: 60px;
        }

        .praise__quote {
            font-size: 3.3125rem;
        }

        .praise__source {
            font-size: 2.25rem;
            margin-top: 0.5em;
        }

        .praise__attribution {
            font-size: 1.625rem;
        }

        .praise__museum {
            max-width: 70%;
        }
    }

    @media (min-width: 769px) and (max-width: 1024px) {
        .praise__quote {
            font-size: 3rem;
        }
    }
}

/* Contact */
.contact {
    background: linear-gradient(180deg,rgba(255, 175, 0, 1) 0%, rgba(255, 175, 0, 0) 100%),
        #ffaf00 url("assets/pattern-skelly.png") top center;

    .h2 {
        color: #FFF;
        margin-bottom: 0.5em;
    }

    .contact__copy {
        text-align: center;
    }

    @media (max-width: 768px) {
        padding-block: 60px;
        background-size: 600px auto;
    }

    @media (min-width: 769px) {
        padding-block: 80px;

        .contact__top {
            padding-inline: 40px;
        }

        .contact__container {
            display: grid;
            grid-template-columns: 5fr 2fr;
            gap: 60px;
        }

        .contact__visual {
            position: relative;
        }

        .contact__visual-offset {
            margin-top: -80px;
            transform: rotate(20deg);
        }

        .contact__logo {
            transform: translate(0, -25%);
        }

        .hs-form-frame {
            margin-top: 40px;
        }

        .contact__bone {
            position: absolute;
            max-width: min(135px, 41.5%);
            aspect-ratio: 135 / 66;
        }

        .contact__bone1 {
            transform: translate(0, 100%);
        }

        .contact__bone1--rotate {
            transform: rotate(35deg);
        }

        .contact__bone2 {
            transform: translate(0, 400%);
            right: 0;
        }

        .contact__bone3 {
            transform: translate(90%, 800%);
        }

        .contact__bone3--rotate {
            transform: rotate(-35deg);
        }
    }

    @media (max-width: 1024px) {
        .contact__visual {
            display: none;
        }

        .contact__container {
            display: block;
        }
    }
}

/* Footer */
footer {
    background-color: #000;
    text-align: center;
    color: #5f5f5f;

    a {
        color: #5f5f5f;
    }

    ul {
        list-style: none;
        padding: 0;
    }

    li {
        margin-block: 0.25em;
    }

    .footer__logo {
        margin-inline: auto;
    }

    @media (max-width: 768px) {
        padding-block: 40px;
        font-size: 1.25rem;

        .footer__logo {
            max-width: 150px;
        }
    }

    @media (min-width: 769px) {
        font-size: 1.5rem;
        padding-block: 60px;
    }
}